<?php

namespace Fittest\Wordpress\Admin;

class Admin
{
    public function __construct()
    {
        // post type Experiments
        $posttype = new Experiment;
        add_action('init', array($posttype, 'register'));
        add_action('add_meta_boxes', array($posttype, 'metabox'));
        
        add_action('admin_enqueue_scripts', array($this, 'styles'));
        
    }
    
    public function styles()
    {
        wp_register_style(
            'custom_fittesticons', 
            plugins_url( '/css/fittesticons/style.css', 
            realpath(dirname(__FILE__) . '/../../')), 
            array('dashicons'), 
            '1.0.0'
        );
        wp_enqueue_style(
            'custom_fittesticons',
            false,
            array('dashicons')
        );
    }
}