<?php
/**
 * Plugin Name: Fittest
 * Plugin URI: http://fittest.io
 * Description: Fittest plugin for WordPress lets you experiment with different variations of content on your site.
 * Version: 1.0
 * Author: Richard Ruiter
 * Author URI: http://www.richardruiter.nl
 */

require_once('vendor/autoload.php');

$optionstorage = new Fittest\Wordpress\Storage\Option();
$sessionstorage = new Fittest\Storage\Session();

// start fittest plugin
Fittest\Fittest::start($optionstorage, $sessionstorage, function() {
    
    // admin init
    new Fittest\Wordpress\Admin\Admin();
    
    // menu init
    new Fittest\Wordpress\Menu();
    
    // shortcode init
    //new Fittest\Wordpress\Shortcode();
});





